Package ru.bitel.bgbilling.kernel.table.common.service

# Interface TableService

public interface TableService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.kernel.table.common.dto.TableComponentDto>`
  `tableComponentList()`
  `BGUTableDataSource`
  `tableDataSourceGet(String component, int componentId, String tableKey, BGUTableParams tableParams)`
  `List<ru.bitel.bgbilling.kernel.table.common.dto.TableDto>`
  `tableList(String componentId)`
  `BGUserTable`
  `userTableGet(boolean defaultUserTable, String module, String tableId)`
  `boolean`
  `userTableReset(boolean defaultUserTable, String module, String tableId)`
  `void`
  `userTableSet(boolean defaultUserTable, BGUserTable userTable)`

- ## Method Details

  - ### tableDataSourceGet

    BGUTableDataSource tableDataSourceGet(String component, int componentId, String tableKey, BGUTableParams tableParams) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tableList

    List<ru.bitel.bgbilling.kernel.table.common.dto.TableDto> tableList(String componentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tableComponentList

    List<ru.bitel.bgbilling.kernel.table.common.dto.TableComponentDto> tableComponentList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userTableSet

    void userTableSet(boolean defaultUserTable, BGUserTable userTable) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userTableGet

    BGUserTable userTableGet(boolean defaultUserTable, String module, String tableId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userTableReset

    boolean userTableReset(boolean defaultUserTable, String module, String tableId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`